Name:       python-quantumclient
Epoch:      2
Version:    2.1
Release:    5%{?dist}
Summary:    Python API and CLI for OpenStack Quantum
Group:      Development/Languages
License:    ASL 2.0
URL:        http://launchpad.net/python-quantumclient/
BuildArch:  noarch

Source0:    http://pypi.python.org/packages/source/p/%{name}/%{name}-%{version}.tar.gz
Source1:	quantum.1

#
# patches_base = 2.1+2
#
Patch0001: 0001-clean-the-descriptions-for-quota-cli-commands.patch
Patch0002: 0002-Add-OpenStack-trove-classifier-for-PyPI.patch
Patch0003: 0003-Generate-bash_completion-string-so-that-we-can-use-b.patch
Patch0004: 0004-Fixes-setup-compatibility-issue-on-Windows.patch
Patch0005: 0005-Fix-curl-command-for-PUT-and-DELETE.patch
Patch0006: 0006-Convenience-cmds-for-l3.patch
Patch0007: 0007-Correct-the-verbose-output-formatting-when-creating-.patch
Patch0008: 0008-Display-columns-in-the-order-of-c-options.patch
Patch0009: 0009-Add-router-and-floatingip-to-quota-update-options.patch
Patch0010: 0010-Ensures-that-help-alignment-is-not-hard-coded.patch
Patch0011: 0011-Fix-a-wrong-substition-for-h-in-bash-completion.patch
Patch0012: 0012-Add-dns-nameserver-host-route-disable-dhcp-to-subnet.patch
Patch0013: 0013-bug-1091028.patch
Patch0014: 0014-Add-file-ChangeLog-to-MANIFEST.in.patch
Patch0015: 0015-Fix-import-order-nits.patch
Patch0016: 0016-Allow-known-options-defined-after-position-arguments.patch
Patch0017: 0017-Display-subnet-cidr-information-in-net-list.patch
Patch0018: 0018-Make-quantum-help-to-show-a-list-of-subcommands.patch
Patch0019: 0019-Fix-quantum-client-example.patch
Patch0020: 0020-Exception-should-raise-with-status-code.patch
Patch0021: 0021-Remove-multiple-white-spaces.patch
Patch0022: 0022-Delete-network-with-id-in-sample-code-using-API.patch
Patch0023: 0023-Migrate-from-nose-to-testr.patch
Patch0024: 0024-Remove-gettext.install-from-quantumclient.__init__.patch
Patch0025: 0025-Allow-ability-to-remove-security-groups-from-ports.patch
Patch0026: 0026-Support-XML-request-format.patch
Patch0027: 0027-Stored-the-quantum-commands-list-to-the-variable.patch
Patch0028: 0028-Add-.coveragerc.patch
Patch0029: 0029-Add-exceptions-messages-for-authentication.patch
Patch0030: 0030-Rename-Quantum-to-something-more-generic.patch

Requires:   pyparsing
Requires:   python-cliff >= 1.0
Requires:   python-httplib2
Requires:   python-prettytable >= 0.6
Requires:   python-setuptools
Requires:   python-simplejson
Requires:   python-iso8601

BuildRequires: python2-devel
BuildRequires: python-setuptools
BuildRequires: gzip

%description
Client library and command line utility for interacting with OpenStack
Quantum's API.

%prep
%setup -q -n %{name}-%{version}

%patch0001 -p1
%patch0002 -p1
%patch0003 -p1
%patch0004 -p1
%patch0005 -p1
%patch0006 -p1
%patch0007 -p1
%patch0008 -p1
%patch0009 -p1
%patch0010 -p1
%patch0011 -p1
%patch0012 -p1
%patch0013 -p1
%patch0014 -p1
%patch0015 -p1
%patch0016 -p1
%patch0017 -p1
%patch0018 -p1
%patch0019 -p1
%patch0020 -p1
%patch0021 -p1
%patch0022 -p1
%patch0023 -p1
%patch0024 -p1
%patch0025 -p1
%patch0026 -p1
%patch0027 -p1
%patch0028 -p1
%patch0029 -p1
%patch0030 -p1
# Remove bundled egg-info
rm -rf python_quantumclient.egg-info
# let RPM handle deps
sed -i '/setup_requires/d; /install_requires/d; /dependency_links/d' setup.py

%build
%{__python} setup.py build

%install
%{__python} setup.py install -O1 --skip-build --root %{buildroot}

# Install other needed files
# rhbz 888939#c7: bash-completion is not in RHEL
install -p -D -m 644 tools/quantum.bash_completion %{buildroot}%{_sysconfdir}/profile.d/quantum.sh

gzip %{SOURCE1}
install -p -D -m 644 %{SOURCE1}.gz %{buildroot}/%{_mandir}/man1/quantum.1.gz

# Remove unused files
rm -rf %{buildroot}%{python_sitelib}/quantumclient/tests

%files
%doc LICENSE
%doc README
%{_bindir}/quantum
%{python_sitelib}/quantumclient
%{python_sitelib}/*.egg-info
%{_sysconfdir}/profile.d/quantum.sh
%{_mandir}/man1/quantum.1.gz


%changelog
* Fri Apr 12 2013 Jakub Ruzicka <jruzicka@redhat.com> - 2:2.1-5
- Add missing python-iso8601 dependency (rhbz#950554)

* Fri Mar  8 2013 Terry Wilson <twilson@redhat.com> - 2:2.1-4
- Provide a basic quantum man page (rhbz#904352)

* Thu Feb 21 2013 Jakub Ruzicka <jruzicka@redhat.com> - 2:2.1-1
- Switch from tarballs.openstack.org to pypi, based on 2.1
- Change version and Epoch to reflect the source change
- Add # patches_base for update-patches.sh
- Fix description

* Mon Feb 11 2013 Terry Wilson <twilson@redhat.com> - 1:2.1.10-3
- Rename Quantum to OpenStack Network

* Mon Dec 3 2012 Robert Kukura <rkukura@redhat.com> - 1:2.1.10-1
- Update to 2.1.10
- Add pyparsing dependency
- Deal with hash in tarball name
- Install /etc/bash_completion.d/quantum.bash_completion

* Mon Sep 24 2012 Robert Kukura <rkukura@redhat.com> - 1:2.1.1-0
- Update to 2.1.1

* Wed May 02 2012 Pádraig Brady <pbrady@redhat.com> - 2012.1-3
- Depend on parallel installed version of python-paste-deploy

* Fri Apr 13 2012 Pádraig Brady <pbrady@redhat.com> - 2012.1-2
- adjust to support EPEL

* Mon Apr  9 2012 Robert Kukura <rkukura@redhat.com> - 2012.1-1
- Update to essex final release

* Thu Apr  5 2012 Robert Kukura <rkukura@redhat.com> - 2012.1-0.5.rc2
- Update to essex rc2 milestone
- Exclude tests

* Wed Mar 21 2012 Robert Kukura <rkukura@redhat.com> - 2012.1-0.4.rc1
- Update to official essex rc1 milestone
- Include LICENSE file

* Mon Mar 19 2012 Robert Kukura <rkukura@redhat.com> - 2012.1-0.3.e4
- Update to essex RC1

* Thu Mar  1 2012 Robert Kukura <rkukura@redhat.com> - 2012.1-0.2.e4
- Update to essex milestone 4

* Thu Jan 26 2012 Cole Robinson <crobinso@redhat.com> - 2012.1-0.1.e3
- Initial package
